/*CSS Reset*/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

.img-float {
	width: 250px;
	height: 250px;
/*Other values: left, right*/
	float: left;
}


html {
	height: 800vh;
}

.parent-element {
	background-color: skyblue;
	padding: 10px;
	position: relative;
	height: 800vh;
}

.child-one {
	background-color: gray;
	padding: 10px;
}

.child-two {
	background-color: yellow;
	padding: 10px;
/*values: static, relative, absolute, fixed*/
	position: fixed;
	top: 10px;
/*	left: 10px;
	bottom: 10px;*/
}

.child-three {
	background-color: gray;
	padding: 10px;
}

/*Z-index discussion*/

.container {
	position: relative;
}

.black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box {
	position: absolute;
	z-index: 3; /*gray box will be above both the green and black box*/
	background: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
	border: 2px solid black;
}

.green-box {
	position: absolute;
	z-index: 2; /*green box will be above the black box*/
	background: lightgreen;
	width: 35%;
	height: 100px;
	left: 270px;
	top: -15px;
	border: 2px solid red;
}

